Subject: Re: [EXT] Re: bug#26020: 25.2 rc2 won't use Xaw3d or Imagemagick at compile time

From: Tom Wurgler <[email-masked]>
Date: Wed, 8 Mar 2017 14:38:13 +0000

Ok, I built with lucid and Xaw3d now is loaded ok.  I also loaded imagemagick-devel.

So this bug report can be closed now.

And as general question, "yum list available" doesn't show any -devel rpm's.  Is there another command that shows them?

thanks

tom

________________________________
From: Glenn Morris <[email-masked]>
Sent: Tuesday, March 7, 2017 5:52 PM
To: Tom Wurgler
Cc: [email-masked]
Subject: [EXT] Re: bug#26020: 25.2 rc2 won't use Xaw3d or Imagemagick at compile time

Tom Wurgler wrote:

> I found and installed Xaw3d-devel and configure still doesn't find it.
>
> [emacs-25.2]mach1[131]% rpm -qa | grep -i Xaw3d
> Xaw3d-1.5E-15.1.el6.x86_64
> Xaw3d-devel-1.5E-15.1.el6.x86_64

(Why are you using .el6 packages on rhel7?
Xaw3d is in epel7.)

Anyway, I see that Emacs's configure (basically) only uses Xaw3d with the
Lucid toolkit. Ie you'll have to use --with-x-toolkit=lucid if you want Xaw3d.

> and ImageMagick wants ghostscript-devel and jasper-devel...can get,
> but hassle.

ImageMagick-devel is in the standard yum repo for me, so no hassle.

> I had not needed these -devl libs before (emacs 24.5) . So why do I
> need them now?

I can assure you it has never been possible to compile eg ImageMagick
support without the header files that the development package provides.